## kredentials 2.0~pre3

=== CMakeLists.txt ===
# Some build reminders:
# Run cmake with "-D CMAKE_BUILD_TYPE=Debug" to generate a debug build
# Run make with "VERBOSE=1" to see the compiler command line

set(KREDENTIALS_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(CMAKE_MODULE_PATH ${KREDENTIALS_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include_directories(${KRB5_INCLUDE_DIRS})
set(LIBS ${LIBS} ${KRB5_LIBRARIES})

find_package(KDE4 REQUIRED)
find_package(Kerberos5 REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=9876)

include(KDE4Defaults)

include(MacroLibrary)

add_subdirectory(src)
add_subdirectory(cmake)
include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: skipped subdir $(TOPSUBDIRS)")

=== doc/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: skipped subdir $(AUTODIRS)")

########### install files ###############


kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)

=== po/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

=== src/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )


########### next target ###############

set(kredentials_SRCS main.cpp kredentials.cpp krb5_wrap.cpp)

kde4_add_executable(kredentials ${kredentials_SRCS})

target_link_libraries(kredentials ${QT_QTGUI_LIBRARY} QtGui)
target_link_libraries(kredentials ${KDE4_KDECORE_LIBS} kdeui)
target_link_libraries(kredentials ${KRB5_LIBRARIES} krb5)

install(TARGETS kredentials ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES  kredentials.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

kde4_install_icons(${ICON_INSTALL_DIR})

=== cmake/modules/CMakeLists.txt ===
set(cmakeFiles FindKerberos5.cmake)

=== doc/en/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )


########### install files ###############


kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)



#original Makefile.am contents follow:

#KDE_DOCS = kredentials
#KDE_LANG = en

## kredentials 0.9.1

=== debian/changelog ===
kredentials (0.9.1) unstable; urgency=medium

  * Fix panel.png corruption that occurred due to some subversion
    properties that had been set.
  * Set urgency=medium because this is a simple bug fix that needs to
    make it into the release.

 -- Noah Meyerhans <noahm@csail.mit.edu>  Wed, 15 Nov 2006 16:45:52 -0500

kredentials (0.9) unstable; urgency=low

  * Convert build system to debhelper from debstd.
  * Update standards version.
  * Update man page to make it a bit more meaningful to people outside
    CSAIL in preparation for public release.
  
 -- Noah Meyerhans <noahm@csail.mit.edu>  Wed, 25 Oct 2006 13:21:18 -0400

kredentials (0.8) unstable; urgency=low

   * Apply a patch from Mike Oltmans <moltmans@csail.mit.edu> to improve the
     warning dialog code.  It might actually work now...

 -- Noah Meyerhans <noahm@csail.mit.edu>  Wed, 18 Oct 2006 17:28:56 -0400

kredentials (0.7.1) unstable; urgency=low

  * update copyright notices
  * Add CVS ID tags in a bunch of places
  * put something in the TODO file

 -- Noah Meyerhans <noahm@csail.mit.edu>  Thu, 19 Jan 2006 13:23:29 -0500

kredentials (0.7) unstable; urgency=low

  * AHA!  Finally tracked down and fixed the annoying and incorrect
    warnings about tickets expiring.

 -- Noah Meyerhans <noahm@csail.mit.edu>  Mon, 24 Jan 2005 18:26:20 -0500

kredentials (0.6.1) unstable; urgency=low

  * Enable debug output

 -- Noah Meyerhans <noahm@csail.mit.edu>  Fri, 10 Dec 2004 15:51:52 -0500

kredentials (0.6) unstable; urgency=low

  * Switch to KUniqueApplication to prevent multiple instances
    from starting on login.
  * Update man page.

 -- Noah Meyerhans <noahm@csail.mit.edu>  Tue, 02 Nov 2004 17:47:01 -0500

kredentials (0.5) unstable; urgency=low

  * make aklog work
  * provide a man page
  * clean up some messy logic

 -- Noah Meyerhans <noahm@csail.mit.edu>  Fri,  3 Sep 2004 12:10:01 -0400

kredentials (0.1) unstable; urgency=low

  * Initial release.

 -- Noah Meyerhans <noahm@csail.mit.edu>  Thu, 26 Aug 2004 22:19:07 -0400

=== debian/control ===
Source: kredentials
Section: net
Priority: optional
Maintainer: Noah Meyerhans <noahm@csail.mit.edu>
Standards-Version: 3.7.2.2
Build-Depends: debhelper, libkrb5-dev, kdelibs4-dev

Package: kredentials
Architecture: any
Depends: ${shlibs:Depends}
Recommends: openafs-krb5
Description: KDE taskbar applet to update kerberos/AFS credentials
 kredentials is a KDE taskbar applet to periodically renew kerberos
 tickets and AFS tokens.

=== debian/rules ===
#!/usr/bin/make -f

package=kredentials

configure: config-stamp

config-stamp:
	./configure --prefix=/usr --disable-debug --disable-rpath
	touch config-stamp

build: build-stamp

build-stamp: configure
	dh_testdir
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config-stamp
	-$(MAKE) distclean
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: build
	dh_testroot
	dh_testdir

# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	dh_testdir
	dh_testroot
	$(MAKE) install DESTDIR=`pwd`/debian/kredentials
	dh_installchangelogs
	dh_installdocs NEWS README TODO
	dh_installman kredentials.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot

## kredentials 0.9.2

=== debian/changelog ===
kredentials (0.9.2) unstable; urgency=medium

  * incorporate patch from Martin Ginkel <mginkel@mpi-magdeburg.mpg.de>
    - factored out kerberos-code with c++ wrappers for all krb5_xxx data
    - added lots of krb5 memory-free code, otherwise kredentials eats 
      continuously memory
    - added new actions and methods for destroying credentials and creating 
      them from password
    - added a CLI test for the kerberos part (debugging of kde-apps is awful)
  * make a first attempt at docbook documentation
  * update all the files in admin/*, including config.sub and config.guess
    to versions provided by newer autoconf and kdeapptemplate. 
    (Closes: Bug#414462)
  * Allow credentials to be destroyed.

 -- Noah Meyerhans <noahm@csail.mit.edu>  Tue, 13 Mar 2007 10:43:05 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 package=kredentials
+export kde_htmldir=/usr/share/doc/kde/HTML
 
 configure: config-stamp
 
@@ -21,7 +22,7 @@
 	rm -f build-stamp config-stamp
 	-$(MAKE) distclean
 	rm -f `find . -name "*~"`
-	rm -rf debian/tmp debian/files* core debian/substvars
+	rm -rf debian/kredentials debian/files* core debian/substvars
 
 binary-indep: build
 	dh_testroot
@@ -40,7 +41,7 @@
 	dh_installman kredentials.1
 	dh_link
 	dh_strip
-	dh_compress
+	dh_compress -X.docbook
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps

## kredentials 0.9.4

=== debian/changelog ===
kredentials (0.9.4) unstable; urgency=low

  * Include patch from Hai Zaar <haizaar@gmail.com>
    - Make kredentials build against heimdal kerberos
    - kscreensaver awareness - the password dialog will not popup if screen
      saver is running.  (should probably make this support e.g.
      xscreensaver, too)
    - If user does not enter the password (hits Cancel), prompt for the
      password again later.
  * Stop ignoring the result of make distclean in debian/rules
  * Set the right Maintainer in debian/control

 -- Noah Meyerhans <noahm@debian.org>  Mon, 10 Dec 2007 21:20:39 -0500

kredentials (0.9.3) UNRELEASED; urgency=low

  * Fix building on GCC 4.3 (Closes: Bug#417302)

 -- Noah Meyerhans <noahm@lore.csail.mit.edu>  Thu, 12 Jul 2007 09:41:28 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kredentials
 Section: net
 Priority: optional
-Maintainer: Noah Meyerhans <noahm@csail.mit.edu>
+Maintainer: Noah Meyerhans <noahm@debian.org>
 Standards-Version: 3.7.2.2
 Build-Depends: debhelper, libkrb5-dev, kdelibs4-dev

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp config-stamp
-	-$(MAKE) distclean
+	test ! -f Makefile || $(MAKE) distclean
 	rm -f `find . -name "*~"`
 	rm -rf debian/kredentials debian/files* core debian/substvars

## kredentials 0.9.4ubuntu1

=== debian/changelog ===
kredentials (0.9.4ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <awen@awen.dk>  Fri, 17 Apr 2009 23:35:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kredentials
 Section: net
 Priority: optional
-Maintainer: Noah Meyerhans <noahm@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
 Standards-Version: 3.7.2.2
 Build-Depends: debhelper, libkrb5-dev, kdelibs4-dev

## kredentials 0.9.4ubuntu2

=== debian/changelog ===
kredentials (0.9.4ubuntu2) karmic; urgency=low

  * Add missing #include <cstdio> in src/krb5_wrap.cpp to fix FTBFS with
    GCC 4.4
    - Change from Debian bug 505119

 -- Scott Kitterman <scott@kitterman.com>  Sun, 04 Oct 2009 22:27:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kredentials
 Section: net
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
 Standards-Version: 3.7.2.2
 Build-Depends: debhelper, libkrb5-dev, kdelibs4-dev

## kredentials 0.9.4+nmu1ubuntu1

=== debian/changelog ===
kredentials (0.9.4+nmu1ubuntu1) lucid; urgency=low

  * Merge from Debian testing.  Remaining Ubuntu changes:
    - debian/rules: Add --without-arts to remove aRts support

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu, 07 Jan 2010 09:34:02 -0600

kredentials (0.9.4+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build with gcc-4.4 using patch from Martin Michlmayr (Closes:
    #505119)

 -- Christoph Egger <christoph@debian.org>  Fri, 25 Dec 2009 15:28:34 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 configure: config-stamp
 
 config-stamp:
-	./configure --prefix=/usr --disable-debug --disable-rpath
+	./configure --prefix=/usr --disable-debug --disable-rpath --without-arts
 	touch config-stamp
 
 build: build-stamp

## kredentials 0.9.5

=== debian/changelog ===
kredentials (0.9.5) unstable; urgency=low

  * Change the symbol we look for when checking for the presence of 
    -lkrb5 in the configure script. (Closes: #571393)
  * Update the menu entry to be more compliant with current policies.
  * Bump standards version to 3.8.4.0.
  * Switch to debhelper 7 for the package build process.
  * Add a debian/source/format file per Developer's Reference 5.4

 -- Noah Meyerhans <noahm@debian.org>  Wed, 24 Mar 2010 00:50:40 -0700

=== debian/control ===
Source: kredentials
Section: net
Priority: optional
Maintainer: Noah Meyerhans <noahm@debian.org>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 7), libkrb5-dev, kdelibs4-dev

Package: kredentials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: openafs-krb5
Description: KDE taskbar applet to update kerberos/AFS credentials
 kredentials is a KDE taskbar applet to periodically renew kerberos
 tickets and AFS tokens.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 configure: config-stamp
 
 config-stamp:
-	./configure --prefix=/usr --disable-debug --disable-rpath --without-arts
+	./configure --prefix=/usr --disable-debug --disable-rpath
 	touch config-stamp
 
 build: build-stamp
@@ -23,10 +23,12 @@
 	test ! -f Makefile || $(MAKE) distclean
 	rm -f `find . -name "*~"`
 	rm -rf debian/kredentials debian/files* core debian/substvars
+	dh_clean
 
 binary-indep: build
 	dh_testroot
 	dh_testdir
+	dh_prep
 
 # There are no architecture-independent files to be uploaded
 # generated by this package.  If there were any they would be
@@ -35,6 +37,7 @@
 binary-arch: build
 	dh_testdir
 	dh_testroot
+	dh_prep
 	$(MAKE) install DESTDIR=`pwd`/debian/kredentials
 	dh_installchangelogs
 	dh_installdocs NEWS README TODO

## kredentials 0.9.5ubuntu1

=== debian/changelog ===
kredentials (0.9.5ubuntu1) maverick; urgency=low

  * Merge with debian,remaining changes
    - Bump standards version
    - Set debhelper minimum version to 7
    - Add ${misc:Depends} to control file
    - Fix control file and retain --without-arts

 -- Rohan Garg <rohan16garg@gmail.com>  Wed, 16 Jun 2010 17:24:30 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kredentials
 Section: net
 Priority: optional
-Maintainer: Noah Meyerhans <noahm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
 Standards-Version: 3.8.4.0
 Build-Depends: debhelper (>= 7), libkrb5-dev, kdelibs4-dev

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 configure: config-stamp
 
 config-stamp:
-	./configure --prefix=/usr --disable-debug --disable-rpath
+	./configure --prefix=/usr --disable-debug --disable-rpath --without-arts
 	touch config-stamp
 
 build: build-stamp

## kredentials 2.0~pre2

=== debian/changelog ===
kredentials (2.0~pre2-1) unstable; urgency=low

  * New upstream release fixes some installation and .desktop issues.
  * Add cmake to build-depends (Closes: #653462)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 28 Dec 2011 09:01:25 -0800

kredentials (2.0~pre1-1) unstable; urgency=low

  * Port to KDE 4
  * Update standards compliance to 3.9.2.0.
  * Switch to cdbs and pkg-kde-tools for building.
  * Switch to a 3.0 (quilt) source format, instead of debian-native.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 26 Dec 2011 00:57:53 -0800

## kredentials 2.0~pre3

=== debian/changelog ===
kredentials (2.0~pre3-1.1) unstable; urgency=low

  * Non maintainer upload
  * Fix build failure with GCC 4.7 (Paul Tagliamonte). Closes: #667230.

 -- Matthias Klose <doko@debian.org>  Tue, 29 May 2012 07:18:36 +0000

kredentials (2.0~pre3-1) unstable; urgency=low

  * New upstream release.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 29 Jan 2012 12:05:13 -0800

=== debian/control ===
Source: kredentials
Section: net
Priority: optional
Maintainer: Noah Meyerhans <noahm@debian.org>
Standards-Version: 3.9.2.0
Build-Depends: debhelper (>= 7), libkrb5-dev, kdelibs5-dev,
 kdelibs5-dev, cdbs, pkg-kde-tools, cmake

Package: kredentials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: openafs-krb5
Description: KDE taskbar applet to update kerberos/AFS credentials
 kredentials is a taskbar applet to periodically renew kerberos
 tickets and AFS tokens.  Although targeted for KDE, it is expected
 to be fully compatible with other desktop environments.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk

DEB_INSTALL_MANPAGES_kredentials = kredentials.1
